#{extends 'border.html'/}
<div class="container-fluid">
    <!-- Toolbar -->
    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{katalog.PermohonanPembaruanCtr.index()}">&{'permohonan_pembaruan.label'}</a></li>
                <li class="active">&{'form_permohonan.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>
    <!-- End Toolbar -->

    <div class="row">
        <div class="col-md-12">
        #{form @katalog.PermohonanPembaruanCtr.submitDistributorPermohonan() , method:'POST', id:'formProdukPerm'}
            <!-- Toolbar -->
            <div class="toolbar">
                #{backButton action:@katalog.PermohonanPembaruanCtr.index()/}
                #{if showButtonSimpan}
                    <a href="@{createDistributor(pmb.id)}" class="btn btn-primary"><i class="fa fa-plus"></i> &{'tambah.label'} &{'distributor.label'}</a>
                    <input type="submit" value="&{'simpan.label'}" class="btn btn-primary"/>
                #{/if}
            </div>
            <!-- End Toolbar -->
            <div class="panel panel-default">
                <input type="hidden" id="pmb" name="pmb" value="${pmb.id}">
                <input type="hidden" id="idsDist" name="idsDist" value="${idsDist}">
                <div class="panel-body" style="overflow-x: auto">
                    #{alert /}
                    <!-- Data Table -->
                    <table class="table table-condensed" id="tblDistributor">
                        <thead>
                        <tr>
                            <th class="header-left">&{'nomor.label'}</th>
                            <th class="header-left">&{'pilih.label'}</th>
                            <th class="header-left">&{'nama_distributor.label'}</th>
                            <th class="header-left">&{'nomor_telp.label'}</th>
                            <th class="header-left">&{'email.label'}</th>
                            <th class="header-left">&{'situs_web.label'}</th>
                            <th class="header-left">&{'status.label'}</th>
                        </tr>
                        </thead>
                    </table>
                </div>
            </div>
        #{/form}
        </div>
    </div>
</div>


#{set 'moreScripts'}
<script type="text/javascript">
    jQuery(document).ready(function($) {
        var iddist = $("#idsDist").val();

        $("#tblDistributor").dataTable({
            ajax : {
                url : "@{DataTableCtr.pembaruanPenyediaDistributor()}",
                cache : true,
                data : {
                    idDist : iddist,
                    penyedia_id : ${penyedia.id}
                }
            },
            order : [ [ 0, "asc" ] ],
            columns : [ {
                "searchable" : false, "className": "header-center",
                render : function(data, type, row, meta) {
                    return meta.row + meta.settings._iDisplayStart + 1 + ".";
                }
            }, {
                "searchable" : false, "className": "header-center"
            }, {
                "searchable" : true
            }, {
                "searchable" : true, "className": "header-center"
            }, {
                "searchable" : false, "className": "header-center"
            }, {
                "searchable" : false, "className": "header-center"
            }, {
                "searchable" : false, "className": "header-center"
            } ]
        });

    });
</script>
#{/set}
